
Core - Task # 25024

Status: New Priority: Should have
Author: Steffen Kamper Category:
Created: 2011-02-14 Assigned To:
Updated: 2015-07-27 Due date:
TYPO3 Version: 4.7
PHP Version: 5.3
Complexity:
Sprint Focus:
Subject: Remove typo3/gfx
Description

These images are not used any longer. Also they are duplicated in sysext/t3skin/icons/gfx. Those which are missing there could be
copied
to this place.
A rewrite rule in htaccess could be the backwards compatible way if
anyone refers direct to the old resources.

(issue imported from #M17569)

Related issues:
related to Core - Task # 31461: The Big Cleanup 4.7 Resolved 2012-02-19 2012-02-20
blocked by Core - Bug # 24920: feedit does not use t3lib_iconWorks::SkinImage... Resolved 2011-02-01

History
#1 - 2011-05-10 14:28 - Mr. Hudson

Patch set 1 of change I735f00af0c52d36f27fafa99c7c311f0969b16e9 has been pushed to the review server.
It is available at http://review.typo3.org/1985

#2 - 2011-05-10 14:29 - Xavier Perseguers
- Status changed from New to Under Review
- TYPO3 Version changed from 4.5 to 4.6

#3 - 2011-05-10 14:59 - Xavier Perseguers
- Tracker changed from Bug to Task

#4 - 2011-05-11 14:10 - Xavier Perseguers
- Target version changed from 1081 to 1238

#5 - 2011-05-18 14:32 - Xavier Perseguers

What would be the proper way for deprecating their use?

#6 - 2011-05-18 14:38 - Georg Ringer

htaccess to an ajax call to be able to log the call?
#7 - 2011-06-04 07:26 - Georg Ringer

again: IMO this is a no go to just remove things in core. Everything is deprecated and so must also be the icons.

i searched for typo3/gfx/ and IMO the admin panel uses it:

$outTable.= '<tr>' .
                        '<td style="white-space:nowrap;"><img src="typo3/gfx/clear.gif" width="' . (($depth + 1 - $row[2]) * 18) . '" height="1" alt=""
/><img ' .
                        t3lib_iconWorks::skinImg(TYPO3_mainDir, 'gfx/i/pages.gif', 'width="18" height="16"') . ' align="top" border="0" alt="" />' .
$row[1] .
                        '</td><td><img src="typo3/gfx/clear.gif" width="10" height="1" alt="" /></td><td>...</td></tr>';

and install tool

} else die('No typo3/gfx/typo3logo.gif file!');

and statictemplates uses it in a sql insert.

furthermore: did you do a check if all icons are available in t3skin? IMO there is a fallback from there to typo3/gfx/?

#8 - 2011-06-15 09:09 - Oliver Hader
- Target version changed from 1238 to 1281

#9 - 2011-07-07 11:01 - Thorsten Kahler

If the files are still in use, we can change that.

As with any other stuff IMHO we have a deprecation for those files also, don't we? So redirecting via an (optional) logger script might be a valid step
before removing the files without proper compensation.

#10 - 2011-07-12 16:08 - Xavier Perseguers
- Target version changed from 1281 to 4.6.0-beta1

#11 - 2011-07-22 13:00 - Xavier Perseguers
- Priority changed from Should have to Must have

#12 - 2011-08-02 18:09 - Xavier Perseguers
- Target version deleted (4.6.0-beta1)

#13 - 2011-08-22 11:12 - Xavier Perseguers
- Status changed from Under Review to New
- Priority changed from Must have to Should have
- TYPO3 Version changed from 4.6 to 4.7

#14 - 2013-02-24 01:41 - Felix Kopp

Anything new? How can the unused icons be identified?
gfx/selicons

are used for example when t3skin is inactive.

#15 - 2014-12-17 17:22 - Riccardo De Contardi

Searching for "typo3/gfx" inside TYPO3 6.2.9 core brings the following results:

/typo3/sysext/css_styled_content/static/setup.txt
/typo3/sysext/css_styled_content/static/v6.0/setup.txt
/typo3/sysext/css_styled_content/static/v6.1/setup.txt
/typo3/sysext/frontend/Classes/View/AdminPanelView.php
/typo3/sysext/indexed_search/Classes/Controller/SearchController.php
/typo3/sysext/indexed_search/Classes/Controller/SearchFormController.php

#16 - 2015-06-28 17:10 - Riccardo De Contardi

same search, results for:

1. TYPO3 6.2.13:

/ChangeLog
/typo3/sysext/css_styled_content/static/setup.txt
/typo3/sysext/css_styled_content/static/v6.0/setup.txt
/typo3/sysext/css_styled_content/static/v6.1/setup.txt
/typo3/sysext/frontend/Classes/View/AdminPanelView.php
/typo3/sysext/indexed_search/Classes/Controller/SearchController.php
/typo3/sysext/indexed_search/Classes/Controller/SearchFormController.php

2. TYPO3 7 (latest master):

/ChangeLog
/typo3/sysext/core/Documentation/Changelog/7.1/Breaking-64143-FlagFilesMoved.rst
/typo3/sysext/core/Documentation/Changelog/7.1/Breaking-64143-FlagFilesMoved.rst
/typo3/sysext/core/Documentation/Changelog/7.1/Breaking-64143-FlagFilesMoved.rst
/typo3/sysext/frontend/Classes/View/AdminPanelView.php

#17 - 2015-06-28 17:46 - Wouter Wolters

There are many more places where images are still used from this folder. 
For example I wrote https://review.typo3.org/#/c/40660/ that moves a few images

#18 - 2015-07-19 00:32 - Benjamin Mack
- Target version set to 7.4 (Backend)
- Sprint Focus set to Stabilization Sprint
#19 - 2015-07-27 20:26 - Wouter Wolters
- Target version changed from 7.4 (Backend) to 7.5
- Sprint Focus deleted (Stabilization Sprint)

Let's kick this in 7.5..
